Version: 6.0.5 (80430500)
Package: com.android.vending
2,838,009 downloads
14.45 MB (15,156,597 bytes)
Min: Android 2.3 (Gingerbread, API 9)
Target: Android 6.0 (Marshmallow, API 23)
nodpi
Supports Android Auto
Uploaded December 1, 2015 at 4:20PM UTC by NAMAN RASTOGI
Download APK
There's a newer version available below!

Whoa there!

It looks like you're using an ad blocker, so you'll have to wait 15 more seconds.
Please whitelist this site to skip the wait and help us pay for bandwidth, hosting, and other bills.

App Notes:

[0] - For all devices.
[5] - For Android Wear devices
[8] - For Android TV devices.

No description available

This release may come in several variants. Consult our handy FAQ to see which download is right for you.

Variant
Arch
Version
DPI
6.0.5
December 1, 2015
noarch
Android 2.3+
nodpi
Apps related to Google Play Store
Previous APKs for (nodpi) (Android 2.3+) variant
All versions
September 23, 2017
September 23, 2017
September 22, 2017
September 15, 2017
September 9, 2017
September 6, 2017
September 5, 2017
August 30, 2017
August 23, 2017
Comments
  • The new UI is server side. So you will get it soon

    • Larry Simpson

      UI was rolled out last week

  • object

    nothing new

    • ozzyager

      I’m hoping the new thing will be fewer crashes.

  • Tony Damiani

    I thinks its a bug fix. I had some force closing problems.

  • neo

    yeah,,no dpi and no dpi,,poor my old gal y..stuck on 5.9.12

    • Kamran Mackey

      nodpi means that it doesn’t matter what DPI your phone has. You can update it.

      • neo

        after install via sd card,all newer version of play store after 5.9.12 always crash/force close when i wanna enter play store. i dont know what is the problem. so i stay in 5.9.12 till now.

        • Have similar problem, but I cannot update anything, it just force close when permissions window should show…. Do You have auto-update feature on? It may mean similar problem than.

          • It seems that problem was on my side. I got FC because Xposed module “PlatPermissionsExposed, which is not compatible with Store v6.x

  • Anonim

    lol

  • MT ONE PİECE

  • ab

    When I tried to open my play store in HTC desire 816 g it shows check your connection help me if anyone know how to fix this issue ….

  • Coolboy43

    It works fine for checking around but if I try to download anything it force close and nothing happens. Plz help if u know the solution and don’t ignore this :-( :'(

    • Sasaki_Haise

      omfg love your profile picture KANEKI!!!!

  • Charles Kingsley

    What’s the newest version

  • thank a lot